Better sorting save files
12/31/2016 01:09 PM - robson1000

Status: Confirmed
Severity: Low
Assignee:

Category:

Target version:

Version: Not Applicable Language: English (US)
Platform: Windows Mod Related: No

Expansion:

Description

Sorting save files is not including numbers in save name.
Including numbers can help with finding correct save.

History

#1 - 12/31/2016 09:16 PM - AlffromKerbal

- Status changed from New to Confirmed

- % Done changed from 0 to 10

Actually it is sorted correctly in alphabetical order like it does on filesystems, though there might be a better solution in the future i think.
Since there was introduced a corresponding metafile to each save, maybe it would be possible to include sorting information in that metafile.
Or change suggestion of quicksave naming to something like "quicksave #001".

#2 - 01/01/2017 09:48 AM - robson1000
- File Sc1.png added

Windows explorer is including numbers, so its not only alphabetical.

A [ Wazwa Data modyfikacji Typ Rozmiar -~
| | quicksave £7.loadmeta 13122016 1216 Plik LOADMETA 1KB
| | quicksave #7.sfs 13122016 12:16 Plik 5FS 436 KB
| | quicksave £8.loadmeta 13.12.2016 17:20 Plik LOADMETA 1KB
[ | quicksave #8.sfs 13122016 17:20 Plik 5FS 44T KB
| | quicksave #9.loadmeta 13122016 1%:18 Plik LOADMETA 1KB
[ ] quicksave #9.sfs 15122016 19:18 Plik 5FS 481 KB
| | quicksave #10.loadmeta 17122016 11:11 Plik LOADMETA 1KB
| | quicksave #10.sfs 17122016 11:11 Plik 5FS 503 KB
| | quicksave #11.lcadmeta 17122016 22:12 Plik LOADMETA 1KB
| | quicksave #11.sfs 17122016 22:12 Plik 5FS 672 KB
| | quicksave #12.loadmeta 18.12.2016 21:56 Plik LOADMETA 1KB
| | quicksave #12.sfs 18.12.2016 21:56 Plik 5FS 745 KB
| | quicksave #13.loadmeta 18122016 12:45 Plik LOADMETA 1KB
| | quicksave #13.sfs 19122016 12:45 Plik 5FS 674 KB
| | quicksave #14.loadmeta 20122016 00:19 Plik LOADMETA 1KB
| | quicksave #14.sfs 20.12.201600:19 Plik 5FS 673 KB
| | quicksave #13.loadmeta 21122016 22:23 Plik LOADMETA 1KB
| | quicksave #15.5fs 21122016 22:23 Plik 5FS 621 KB
| | quicksave #16.lcadmeta 22122016 18:38 Plik LOADMETA 1KB
| | quicksave #16.sfs 22122016 18:38 Plik 5FS 711 KB v
#3 - 01/01/2017 01:27 PM - AlffromKerbal

Oh, you're right. | think there once was a time sorting wasn't like that but like in game. | also remember playing games, where sorting is like in KSP as
well.

Anyway, should be fixed sometime.
